---
title: "Articles tagged to a specific company section."
url: "https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b/operations/getNewsCompaniesBySymbolSectionsBySectionId"
---

> Full API specification: https://developer.argaam.com/apis/news-editorial-layer-api-sandbox-v1/versions/56dc3378-a7ea-4bb0-a38f-84e9d50d974b.md

# Articles tagged to a specific company section.

`GET` `/api/v1.1/news/companies/{symbol}/sections/{sectionId}`

Operation ID: `getNewsCompaniesBySymbolSectionsBySectionId`

Sections are the editorial categories Argaam maintains per company (e.g., disclosures, analyst estimates, financial reports). ### Example ``` GET /api/v1.1/news/companies/2222/sections/26?lang=1&page=1&pageSize=10 ```

## Path parameters

- `symbol` (string, required) - Stock symbol (e.g., `2222`).
- `sectionId` (integer, int32, required) - Editorial section ID.

## Query parameters

- `languageId` (integer, int32, optional) - Numeric language id: `1` = ar, `2` = en. Defaults to `1`.
- `page` (integer, int32, optional) - Page number. Default: `1`. Defaults to `1`.
- `pageSize` (integer, int32, optional) - Records per page. Default: `10`. Defaults to `10`.

## Responses

- `200` - Success

## OpenAPI definition

````yaml
openapi: 3.0.1
info:
  title: News & Editorial Layer API
  version: v1.1
servers:
  - url: https://api-sandbox.argaam.com
    description: Argaam API Gateway (Sandbox)
paths:
  /api/v1.1/news/companies/{symbol}/sections/{sectionId}:
    get:
      tags:
        - News
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
          description: Stock symbol (e.g., `2222`).
        - name: sectionId
          in: path
          required: true
          schema:
            type: integer
            format: int32
          description: Editorial section ID.
        - name: languageId
          in: query
          description: "Numeric language id: `1` = ar, `2` = en. Defaults to `1`."
          schema:
            type: integer
            format: int32
            default: 1
          example: 2
        - name: page
          in: query
          description: "Page number. Default: `1`. Defaults to `1`."
          schema:
            type: integer
            format: int32
            default: 1
          example: 1
        - name: pageSize
          in: query
          description: "Records per page. Default: `10`. Defaults to `10`."
          schema:
            type: integer
            format: int32
            default: 10
          example: 20
      responses:
        "200":
          description: Success
      summary: Articles tagged to a specific company section.
      description: "Sections are the editorial categories Argaam maintains per\r

        company (e.g., disclosures, analyst estimates, financial reports).\r

        \            \r

        ### Example\r

        ```\r

        GET
        /api/v1.1/news/companies/2222/sections/26?lang=1&page=1&pageSize=10\r

        ```"
      operationId: getNewsCompaniesBySymbolSectionsBySectionId
security:
  - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
````
